<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_lang_adm.inc'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v1.9';
$oVIP->selfurl = 'qtfm_export_install.php';
$oVIP->selfname = 'Installation module EXPORT '.$strVersion;

$bStep1 = true;
$bStep2 = true;
$bStep3 = true;

// STEP 1

$strFile = 'qtfm_export_uninstall.php';
if ( !file_exists($strFile) ) $qtf_error='Missing file: '.$strFile.'<br/>This module cannot be used.';
$strFile = 'qtfm_export_adm.php';
if ( !file_exists($strFile) ) $qtf_error='Missing file: '.$strFile.'<br/>This module cannot be used.';
if ( !empty($qtf_error) ) $bStep1 = false;

// STEP Z
if ( empty($qtf_error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_export" OR param="m_export_conf"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("module_export","Export","0")');
}


// --------
// Html start
// --------
include('qtf_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
';

echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$qtf_error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Checking export subdirectory</h2>',N;
if ( !$bStep2 )
{
  echo '<p class="error">',$qtf_error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Database settings</h2>';
if ( !$bStep3 )
{
  echo '<p class="error">',$qtf_error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Installation completed</h2>';

// --------
// Html end
// --------

?>